function [axhand,linehand] = plot(obj,varargin)
    %PLOT Plot transfer functions
    % plot(ts_xferfun,...) plots all the transfer functions in an ts_xferfun object
    
    clf
    
    % THIS IS NEW: I JUST CREATE FIGUREPROPS HERE, NOT PART OF TS_XFERFUN.
    % SHOULD ALSO BE ABLE TO PASS A FIGUREPROPS OBJECT, AND TO MODIFY figureprops
    % USING THE VARARGINS
    figureprops=ts_figureproperties(obj.nChannels);
    % SHOULD ALSO BE ABLE TO PASS
    for i = 1:2:length(varargin);
        field = varargin{i};  value = varargin{i+1};
        obj = set(obj,field,value);
    end
    
    freqs = obj.freqs;
    
    linehand = [];
    numchans = obj.nChannels;
    for i = 1:numchans,
        % CALCULATE INDICES OF FREQS TO PLOT
        f=figureprops.subplot(i).xyminmax;
        fmin=f(1); fmax=f(2); ymin=f(3); ymax=f(4);
        if isnan(fmin),
            fmin = min(freqs);
        end
        if isnan(fmax),
            fmax = max(freqs);
        end
        iplt = find(freqs >= fmin & freqs <= fmax);
        freqs = freqs(iplt);
        
        % CALCULATE POSITION OF AXIS IN FIGURE
        axes('position',figureprops.calcplotpos(numchans,i));
        absaxf = abs(obj.channel(i).data(iplt));
        axferr = obj.channel(i).uncertainty(iplt);
        axfplus = absaxf + axferr;
        axfminus= absaxf - axferr;
        axfminus = axfminus.*(axfminus>0) + 1e-10*min(abs(axfminus)).*(axfminus<=0);
        %	whos
        h=loglog(freqs,absaxf,'o'); hold on
        linehand = [linehand; h];
        h=loglog([freqs; freqs],[axfplus; axfminus],'k');
        linehand = [linehand; h];
        hold off
        %s=warning('off')		% Don't want to see "negative data ignored" warnings
        xlabel('Frequency (Hz)');
        % I use Latex interpreter because it avoids backwards writing problem
        ylabel([obj.channel(i).name ' (' obj.channel(i).units ')'],'Interpreter','Latex');
        %warning(s)		% Turn warnings back on
        if ~isnan(ymax), ymaxm = ymax; else ymaxm = 10^ceil(log10(max(axfplus))); end
        if ~isnan(ymin), yminm =ymin; else yminm = 10^floor(log10(min(absaxf))); end
        if isnan(ymaxm),
            if isnan(yminm), yminm=.1; end
            ymaxm = 100*yminm;
        elseif isnan(yminm), yminm=ymaxm/100;
        end
        axis([fmin fmax yminm ymaxm]);
        switch figureprops.subplot(i).grid,
            case 'xy', grid on;
            case 'x', set(gca,'XGrid','on'); set(gca,'YGrid','on');
            case 'y', set(gca,'YGrid','on'); set(gca,'XGrid','off');
            otherwise, grid off;
        end
        axhand(i) = gca;
    end
    
    figureprops.addtitle();      % ADD TITLE
    axes(axhand(1))
end
