% Compare seismometer and pressure date from a site (Geoscope TAM site)
% The seismo data is in one file starting 96/132 0001, lasting ~10 days at 0.1 Hz
% The pressure data are in 3 one-day files sampled at 1 Hz

% Load in TAM seismometer, sampled at 0.1 Hz
tdata_z =  example_readAHdata(2);	% readdata() is in this same directory and can be run alone
% Load TAM microbarometer, sampled at 1 Hz
tdata_p = example_readAHdata(1);
tdata_p = resample(tdata_p,0.1);	% resample down to 0.1 Hz

tdata = merge(tdata_z,tdata_p);	% should cut off nonsynchronous ends
tdata=tdata.synchronize();
figure(1); plot(tdata);

spect = tdata.calcSpectra('windowlength',1024/0.1);
figure(2); plot(spect);
figure(3); plotcoher(spect);
