% Example of the ts_data filter() command
% filtering and pole-zero correction only works ok for numpoles < 4.
% I haven't tested to see if this is the same for the original butter() routine
% Also, there's still a problem with the gain (it's NOT 1/sqrt(K), does it have
%	something to do with the sampling frequency?)

% Create a delta function
data = zeros(1,40000);
data(20000:20001) = 1;	

% Put the delta function into an ts_data object
sampfreq = 100;
tdata = ts_data(data,sampfreq);

% Plot the data and its spectrum
figure(1); plot(tdata);
sdata = tdata.calcSpectra('windowlength',2048*16/sampfreq);
figure(2); plot(sdata);

% Filter the data, with a passband filter
fdata = tdata.filter('BwPass',2,.01,1);
sfdata = fdata.calcSpectra('windowlength',2048*16/sampfreq);
% Plot the assumed instrument response after filtering, and print out poles-zeros
figure(3); plot(fdata.channel(1).md.response,.003:.003:50);
disp('Poles and Zeros:');
fdata.channel(1).md.response
%Plot spectrum of filtered data (should be same as figure 2, because corrected)
figure(4); plot(sfdata);
