classdef ts_data_figureproperties_subplot
    % Parameters for individual plots within time series figures
    % Subclass of ts_figureproperties_subplot
    %
    % ts_data_figureproperties_subplot properties:
    %     grid        - Plot Grid: 'x','y','xy','off'       ['xy']
    %     xmin        - Minimum x-axis value                [NaN]
    %     xmax        - Maximum x-axis value                [NaN]
    %     ymin        - Minimum y-axis value                [NaN]
    %     ymax        - Maximum y-axis value                [NaN]
    %     xyminmax    - READONLY, returns [xmin xmax ymin ymax]
    %     linetype    - Linetype                            ['-']
    %     marker      - Symbol type                         ['none']
    %
    % ts_data_figureproperties_subplots methods:
    %     subsasgn   - Allows assigning a value to multiple
    %                  instances using parentheses notation
    
    
    properties
    end
    
    methods
        %% PROPERTY ACCESS METHODS
 %         function obj=set.yrange(obj,value)
%             disp('in set.yrange');
%             if length(obj)==1, obj.yrange=value
%             else
%                 for i=1:length(obj), obj(i).yrange=value; end
%             end
%         end
        function otxt = char(obj,padding)
            % Make character string describing the object
            % padding pads the left side, to give an offset
            if ~exist('padding','var'), padding=0; end
            pformat=sprintf('%%%ds',padding);
            pad=sprintf(pformat,'');            
            iL=1:length(obj);
            
            otxt = char@ts_figureproperties_subplot(obj,padding);
       end
                
    end % methods
end % classdef
