function thefile=tsf_LCPO_T240_seismo(theInput)
% Creates a ts_file instance for L-Cheapo T240 (seismometer only, DPGs are different for each inst)
    if isa(theInput,'ts_file'),
        if theInput.nChannels~=4,
            error('You tried to force a %d-channel ts_file object to be an LCPO_T240')
        end
        thefile=theInput;
    else
        thefile=ts_file(theInput,'LCPO');
        thefile.nChannels=4;    
    end

    % Enter channel names ('B' is for samprate=10-80, 'H' for samprate>80,'M'=1.001-10, L~1, V~0.1
    thefile.ch_metadata(1).component='BHX';
    thefile.ch_metadata(2).component='BHY';
    thefile.ch_metadata(3).component='BHZ';
    thefile.ch_metadata(4).component='BDF';    % DPG
    
    % Enter standard instrument response
    thefile.ch_metadata(1).response=tsresp_LCPO_T240();
    thefile.ch_metadata(2).response=tsresp_LCPO_T240();
    thefile.ch_metadata(3).response=tsresp_LCPO_T240();
end

