function resp=tsresp_LCPO_T240(gain)
% Creates a ts_response instance for an LCPO logger with Trillium T240 seismometer

    if ~exist('gain'), 
        gain=1196.5; 
    else
        ts_verbose(0,'Setting gain to %g V/(m/s)',gain);
    end
    % L-CHEAPO gains
    gain_ampli=1;           % Amplifier card gain REMOVED for Zs on 10/2012 (V/V)
    gain_AD=1165084;        % A/D gain (counts/V)
    % Enter standard instrument response
    resp=ts_response('PZ','m/s','counts', ...
                    gain*gain_ampli*gain_AD,...
                    [-0.01815+1i*0.01799 ...
                     -0.01815-1i*0.01799 ...
                     -173 ...
                     -196+1i*231 ...
                     -196-1i*231 ...
                     -732+1i*1415], ...
                     [0 0], ...
                     2*pi*1);
    resp.inUnits='m/s^2';  % Makes spectra outputs in m/s^2
end

