function ts_init()
% TS_INIT Function to initialize the TiSkit global variables
% Usage: ts_init()
%
% This routine should be called
%	at the beginning of all ts_* routines
%	to set up the global TiSkit variable.

% 5/2005 Wayne Crawford
% Creates the global structure TISKIT_GLOBALS with fields:
%	verbose
%   dialogs
%	debug
%	version
%	figureprops

version_number = ts_version();
verbose=0;
dialogs=0;
debug=0;

global TISKIT_GLOBALS
if isempty(TISKIT_GLOBALS)
	TISKIT_GLOBALS = struct('verbose',verbose, ...
							'dialogs',dialogs, ...
							'debug',debug, ...
							'version',version_number, ...
							'figureprops',ts_data_figureproperties());
    disp('*****************************************************************');
    fprintf('TiSkit version %s\n',version_number);
    fprintf(' verbose = %d, dialogs = %d, debug=%d\n',verbose, dialogs, debug);
    fprintf(' Member classes: ts_data, ts_data_channel, ts_file, ts_response\n');
    fprintf('                  ts_data_figureproperties, ts_spectra, ts_datetime, ts_xferfun\n');
    fprintf(' For class descriptions\n');
    fprintf('  type ''doc ts_XXXXX''\n');
    fprintf(' To modify verbosity, debug level, or dialogs,\n');
    fprintf('  type ''ts_set(''verbose'',val)'', val=-1(silence), 0(normal), 1(chatty) or 2(blabber)\n');
    fprintf('       ''ts_set(''debug'',val)'',   val=0(none), 1(debug), 2(blabber)\n');
    fprintf('       ''ts_set(''dialogs'',0|1)'', val=0(off), 1(on)\n');
    fprintf('*****************************************************************\n\n');
end


return
