function v=ts_version()
% TS_VERSION Specifies the version #
% Usage: ts_version()
%
v= '0.72 beta (3/2018)';
return

% V0.1 (12/2008):  took code from AnyPlot, rewrote wc_time as ts_timedata (true object oriented),
% 	Then just changed the names of the other classes (without modifications except to adapt to name changes and changes in ts_timedata) as follows:
%       ap_timedata =>          ts_data
%       ap_datafile =>          ts_file
%       ap_filtparm =>          ts_response
%       ap_spectra =>           ts_spectra
%       ap_xferfun =>           ts_xferfun
%       ap_plotinfo =>          ts_plotparm
%       apview =>               tsplot
%       ap_get,ap_set,ap_init => ts_get,ts_set,ts_init
% 
% V0.11 (5/2009):   Some cleanup.  Fixed up ts_readUTIG, added mouse dezooming in tsplot time window, repaired some broken stuff in tsplot.  Made the ap_read*.m routines private, must be reached through ap_read.m
% V0.12 (6/2009):   Changed to true OO: ts_response.  Also made it more logical/complete, include units and allow for unit conversion
% V0.13 (6/2009):	Changed to true OO: ts_file, subclass of hgsetget.
%
% V0.2 (7/2009 ):	Simplified debugging and verbose output with new routines ts_debug() and ts_verbose().
%       tsplot() works
%       Created new class (true OO) ts_station.  Should be used by ts_file and ts_data, not yet
%       ts_read now handles:
%           equally spaced files, with consistent naming convention;
%           sequential files listed by wildcards (or a cell array);
%           separate files for different channels using wildcards (or a cell array).  
%           all clock drifts and time-zero adjustments (ts_readXXXX.m should not try, but ts_read sends them a ts_file object with "clockdrift" and "timezero"=0 just in case)
% V0.21:	Fixed spectra to print correct units, changed ts_response to use ?inUnits? and ?outUnits? instead of ?desiredUnits? and ?storedUnits?, respectively
% V0.22 (1/2010):	Modified resample() and filter() to change the first character of the component code, if necessary.  Added ?chan? in ts_data:get and ts_data:set() to get/change whole channel info
% V0.25:	Change to true OO: ts_plotparm
%
% V0.3 (???): 	Change to true OO: ts_data: each channel is its own ts_channel class instance (allows different samprates, starttimes, etc).  Also changed ts_read() to ts_file.read() and moved spectra calculation from ts_spectra() to ts_data.calcSpectra().
%           put a ?data-free? ts_data instance inside of ts_file, will simplify ts_file and will allow easier transfer of metadata to ts_data instance (is this possible?  because I have a ts_file in each ts_channel!)
%           change ts_write to ts_data.write()
%           what to do with calcOffset()???  ts_channel static?
% 
% V0.4():	Change to true OO: remaining classes (ts_spectra and ts_xferfun).  ts_spectra should have method calcxf().
%
% V0.5(2011):	Modify all codes to call the classes clearly and correctly (e.g., ?tdata.numchans=4? instead of ?tdata=set(tdata,?numchans?,4)?;
% V0.56(2012):	Reworked tsplot GUI to remove picking buttons, make info line work again, and give enough space at bottom
% V0.57(2012):	Cleaned up ts_figureparm implementation:  First, changed all *plotparm and *plotinfo names to *figureparm and *figureinfo.  Second, in plotting routines, made a copy of the figureinfo object so that changes made in the call to the plot would not be saved in the parent object (this caused problems especially because spectrum and time series plots use the same xmin/max and ymin/max values, should this be changed anyway?)
%
% v0.60 (2012):	Changed ts_data creator inputs to always be ts_data(data,samprate,datafile), where the last two are not required.  Removed samprate property from ts_file and removed its use from some ts_file/private/read*.m routines. 
%               Changed headers to give clickable properties and methods with ?help? command, generated html pages for each class and put in HTML help documentation.
%               Changed class names to be hierarchical:
%                   ts_channel -> ts_data_channel
%                   ts_metadata -> ts_data_channel_metadata
%                   ts_channelinfo_spect -> ts_spectra_channelinfo
%                   ts_xferfun -> ts_xferfun and ts_xferfun_channel
%                   ts_figureparm -> ts_figureproperties & subclass ts_data_figureproperties
%                   ts_subplotpam -> ts_figureproperties_subplot
%                   COULD NOT REPLACE TS_FIGUREPROPERTIES property ?subplot? with TS_DATA_FIGUREPROPERTIES_SUBPLOT instead of TS_FIGIREPROPERTIES_SUBPLOT, because one can only replace a superset?s Abstract or Private property, and neither of these cases appealed to me.  So I just made a TS_FIGUREPROPERTIES_SUBPLOT class that includes time series specific properties and use it in both ts_figureproperties and ts_data_figureproperties
%                   Changed ts_channel.info to ts_channel.metadata (can also be accessed using ts_channel.md)
%                   Can also access ts_data.channel using ts_data.ch
% v0.61 (2013.10):      Fixed some problems with database reads: now reads only the length specified, recognizes miniSEED blockette 25600
% v0.62 (2013.11):      Added some ts_spectragram methods, changed ts_spectra timelist property  (ts_datetime vector) to starttime (ts_datetime) and timeoffsets (numeric vector).  Changed first comment line in top-level class and function definition files so that ?help tiskit? or ?doc tiskit? gives a clearer response.
% v0.63 (2012.04):      Added ts_timeWindows class: replaces old ts_seqlist, allows selection of windows which can then be highlighted in ts_time/plot or avoided in ts_data/calcSpect or its derivatives, such as ts_data/cleanCalc.
% v0.64 (2014.12): Mostly bug fixes: 
%                       make ts_file/read work for SAC and MSEED formats, 
%                       make ts_file.readDB work for archive files that don?t start/end exactly at the begining/end of the day, and also work on Windows machines (changed from using ?ls? to ?rdir?)
%                       fix a bug in ts_data.clean_calc that didn?t allow multiple transfer functions to be combined
%                       fixed a bug in ts_data.clean that stopped it running
%                       improved labeling of figures in ts_data.clean_calc().
% v0.65 (2014.12): Fixes bug that failed transfer function conversion from ?m? to ?m/s^2? by changing the .inUnits parameter
% 
% v0.66 (2016.01):  Make spectra overlay plot respect window bounds (as the other plot types do already
%                  Put version history in version.h
% v0.67 (2016.7):  Fixed readAH(), readWEBB() and numerical
%                   startAt in ts_file/read().  Cleaned up Examples_tests
%                   directory so that all examples work
% v0.7  (2017.11): Integrated compliance calculation (including removing the ocean wave
%                   gravitational attraction) into ts_spectra.calcXF()
% v0.71  (2018.2): Fixed specifying "bad offsets" for spectral calculation.
%                   Affects ts_data.calcSpectra and ts_data.clean_calc()
% v0.72  (2018.3): Fix read problems in ts_readDB()
%                  Add tss_windowlist (list of windows to process, can be
%                   used to calculate spectra, highlight time series
%                   plots...)
% 
